%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-ur98
Version: 1.1.0
Release: alt2.M41.1
Serial: 1
Summary: UR98 (TR88L803) head tracker driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-ur98 = %serial:%version-%release
Obsoletes: xorg-x11-drv-ur98

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

%description
UR-98  is  an Xorg input driver for the Union Reality UR-F98 headtracker.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2.M41.1
- build for branch 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt3
- renamed xorg-x11-drv-ur98 to xorg-drv-ur98
- added requires XORG_ABI_XINPUT = 2.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- rebuild with xorg-server-1.4

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release
